Cannot boot or install - have to use nomodeset

Bug #1821820 reported by fossfreedom on 2019-03-26
42
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Timo Aaltonen
xorg-server (Ubuntu)
Low
Unassigned

Bug Description

On this 19.04 beta I have to use nomodeset to boot & install Ubuntu Budgie.

This is different behaviour from 18.04 and 18.10 where it booted and installed just fine without nomodeset.

Without nomodeset, grub/efi disappears, and after a while a solid rather than blinking cursor on a black screen is seen. It does not boot into a live session, nor displays the ubiquity window

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: xserver-xorg-video-intel 2:2.99.917+git20180925-2
ProcVersionSignature: Ubuntu 5.0.0-7.8-generic 5.0.0
Uname: Linux 5.0.0-7-generic x86_64
ApportVersion: 2.20.10-0ubuntu23
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: Budgie:GNOME
Date: Tue Mar 26 23:40:49 2019
DistUpgraded: Fresh install
DistroCodename: disco
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller [8086:22b1] (rev 21) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller [103c:80bf]
InstallationDate: Installed on 2019-03-26 (0 days ago)
InstallationMedia: Ubuntu-Budgie 19.04 "Disco Dingo" - Alpha amd64 (20190326.1)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 0a5c:216d Broadcom Corp. BCM43142A0 Bluetooth 4.0
 Bus 001 Device 003: ID 05c8:022a Cheng Uei Precision Industry Co., Ltd (Foxlink)
 Bus 001 Device 002: ID 05e3:0608 Genesys Logic, Inc. Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: HP HP Notebook
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-7-generic root=UUID=62ab7c7b-50c8-4719-98c6-55991179ff20 ro nomodeset quiet splash
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
XorgLogOld:

dmi.bios.date: 02/15/2016
dmi.bios.vendor: Insyde
dmi.bios.version: F.1F
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 80BF
dmi.board.vendor: HP
dmi.board.version: 95.16
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: HP
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.1F:bd02/15/2016:svnHP:pnHPNotebook:pvr:rvnHP:rn80BF:rvr95.16:cvnHP:ct10:cvrChassisVersion:
dmi.product.family: 103C_5335KV G=N L=CON B=HP
dmi.product.name: HP Notebook
dmi.product.sku: N9S73EA#ABU
dmi.sys.vendor: HP
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.97-1
version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.0-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.0.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20180925-2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

CVE References

fossfreedom (fossfreedom) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1821820

tags: added: iso-testing
Timo Aaltonen (tjaalton) wrote :

please install openssh-server, boot without nomodeset and add drm.debug=14, then try if you can ssh in and get dmesg from it

fossfreedom (fossfreedom) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Rosen Papazov (shadowzzz) wrote :

After reverting https://patchwork.freedesktop.org/series/58893/ (commit d179b88deb3bf6fed4991a31fd6f0f2cad21fab5 upstream kernel drm/i915/fbdev) and rebuilding default disco kernel 5.0.0-8-generic everything works as expected. Possible regression.

Timo Aaltonen (tjaalton) wrote :

This should be a bug in xserver, but since there's no fix in sight it's best to revert the commit from kernel for now.

affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
Timo Aaltonen (tjaalton) on 2019-04-04
Changed in xorg-server (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Timo Aaltonen (tjaalton) on 2019-04-04
Changed in linux (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
Seth Forshee (sforshee) on 2019-04-04
Changed in xorg-server (Ubuntu):
status: Triaged → Fix Committed
Robert Strube (robstrube) wrote :

Question for everybody, I noticed that linux-5.0.0-10.11 which is currently in proposed for cosmic has an explicit fix for this bug (mentioned in the changelog). Will this kernel make it into the official 19.04 release - or will the release use linux-5.0.0-8.9?

If the official release doesn't use linux-5.0.0-10.11 (or something greater) then many Dell laptop users will be unable to install using the release ISO, which would be very unfortunate.

Erich Eickmeyer (eeickmeyer) wrote :

@robstrube It is currently in disco-proposed as well. :)

Robert Strube (robstrube) wrote :

Doh, sorry that's what I meant to say, disco proposed.

I guess my main concern is that the release ISO for 19.04 contains this fixed kernel. If not, users would have to boot with nomodeset, install, then update to the fixed kernel which might be a hurdle for some folks.

Erich Eickmeyer (eeickmeyer) wrote :

I wouldn't worry about that. If it's in disco-proposed, it'll likely land before the first RC spins even happen. The release team is considering this a serious bug.

Timo Aaltonen (tjaalton) wrote :

the reason why it hasn't landed yet is that there have been other bugs that meant the kernel had to be respun a few times, but 5.0.0-11.12 is finally in proposed and should be the final kernel for the release..

Launchpad Janitor (janitor) wrote :
Download full text (50.5 KiB)

This bug was fixed in the package linux - 5.0.0-11.12

---------------
linux (5.0.0-11.12) disco; urgency=medium

  * linux: 5.0.0-11.12 -proposed tracker (LP: #1824383)

  * hns3: PPU_PF_ABNORMAL_INT_ST over_8bd_no_fe found [error status=0x1]
    (LP: #1824194)
    - net: hns3: fix for not calculating tx bd num correctly

  * disco: unable to use iptables/enable ufw under -virtual kernel
    (LP: #1823862)
    - [Packaging] add bpfilter to linux-modules

  * Make shiftfs a module rather than built-in (LP: #1824354)
    - [Config] CONFIG_SHIFT_FS=m

  * shiftfs: chown sets untranslated ids in lower fs (LP: #1824350)
    - SAUCE: shiftfs: use translated ids when chaning lower fs attrs

  * [Hyper-V] KVP daemon fails to start on first boot of disco VM (LP: #1820063)
    - [Packaging] bind hv_kvp_daemon startup to hv_kvp device

linux (5.0.0-10.11) disco; urgency=medium

  * linux: 5.0.0-10.11 -proposed tracker (LP: #1823936)

  * Apparmor enforcement failure in lxc selftests (LP: #1823379)
    - SAUCE: apparmor: Restore Y/N in /sys for apparmor's "enabled"

  * systemd cause kernel trace "BUG: unable to handle kernel paging request at
    6db23a14" on Cosmic i386 (LP: #1813244)
    - openvswitch: fix flow actions reallocation

linux (5.0.0-9.10) disco; urgency=medium

  * linux: 5.0.0-9.10 -proposed tracker (LP: #1823228)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next/hinic: replace disable_irq_nosync/enable_irq

  * Add uid shifting overlay filesystem (shiftfs) (LP: #1823186)
    - shiftfs: uid/gid shifting bind mount
    - shiftfs: rework and extend
    - shiftfs: support some btrfs ioctls
    - [Config] enable shiftfs

  * Cannot boot or install - have to use nomodeset (LP: #1821820)
    - Revert "drm/i915/fbdev: Actually configure untiled displays"

  * Disco update: v5.0.6 upstream stable release (LP: #1823060)
    - netfilter: nf_tables: fix set double-free in abort path
    - dccp: do not use ipv6 header for ipv4 flow
    - genetlink: Fix a memory leak on error path
    - gtp: change NET_UDP_TUNNEL dependency to select
    - ipv6: make ip6_create_rt_rcu return ip6_null_entry instead of NULL
    - mac8390: Fix mmio access size probe
    - mISDN: hfcpci: Test both vendor & device ID for Digium HFC4S
    - net: aquantia: fix rx checksum offload for UDP/TCP over IPv6
    - net: datagram: fix unbounded loop in __skb_try_recv_datagram()
    - net/packet: Set __GFP_NOWARN upon allocation in alloc_pg_vec
    - net: phy: meson-gxl: fix interrupt support
    - net: rose: fix a possible stack overflow
    - net: stmmac: fix memory corruption with large MTUs
    - net-sysfs: call dev_hold if kobject_init_and_add success
    - net: usb: aqc111: Extend HWID table by QNAP device
    - packets: Always register packet sk in the same order
    - rhashtable: Still do rehash when we get EEXIST
    - sctp: get sctphdr by offset in sctp_compute_cksum
    - sctp: use memdup_user instead of vmemdup_user
    - tcp: do not use ipv6 header for ipv4 flow
    - tipc: allow servic...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Robert Strube (robstrube) wrote :

I just tested with a fresh install of 19.04 (booted up with nomodeset and installed). After installation I confirmed I was running 5.0.0-11.12, but the laptop panel link training issue is still present (Dell XPS 9575) causing a black screen on boot. The only way to boot is with nomodeset as a kernel boot parameter.

Note: as a side issue it was virtually impossible to bring up the grub menu now in 19.04 (I think because the timeout is set to zero). I had to make sure to chroot into the newly installed system (after installing) and then edit the /boot/grub/grub.cfg file and manually edit the timeout value.

I thought that the this Ubuntu bug was referring to this bug (REGRESSION: black screen with linux 5.0 when starting X) https://bugs.freedesktop.org/show_bug.cgi?id=109959), but perhaps it's referencing another issue entirely? Not sure, but either way the failed link training bug still appears to be present with 5.0.0-11.12 causing black screens on bootups with certain laptop panels.

Reading through that thread on bugs.freedesktop.org, Intel realized the problem was caused by certain laptop panels not reporting their specifications correctly (Dell XPS systems appear affected, but other laptops will most likely also be affected), so the code they added to optimize the link (fast and narrow vs. slow and wide) would cause certain laptop panels to never display anything with modesetting.

Towards the end of the thread to posted a 5.0 backport patch which completely removes the link optimizations, https://patchwork.freedesktop.org/patch/296411/. Based on the Ubuntu kernel changelog I'm not sure exactly what patch was reverted. My guess is it's for another issue entirely.

I'll probably try to compile the Ubuntu kernel with their the freedesktop.org backport patch applied and report back. I can also post my dmeg here for reference.

Robert Strube (robstrube) wrote :

As a side note, this was the bug I had originally opened up in launchpad, which I thought might have been a duplicate of this bug (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1824216)

Robert Strube (robstrube) wrote :

Here are drm messages from logs booting up with drm.debug=14 with 5.0.0-11.12. You can see the link training issues are still present.

21:00:11 kernel: [drm:intel_dp_get_link_train_fallback_values [i915]] Retrying Link training for eDP with same parameters
21:00:11 kernel: [drm:intel_dp_start_link_train [i915]] [CONNECTOR:85:eDP-1] Link Training failed at link rate = 324000, lane count = 1
21:00:11 kernel: [drm:intel_dp_set_signal_levels [i915]] Using pre-emphasis level 0
21:00:11 kernel: [drm:intel_dp_program_link_training_pattern [i915]] Using DP training pattern TPS1
21:00:11 kernel: [drm:intel_dp_set_signal_levels [i915]] Using pre-emphasis level 0
21:00:11 kernel: [drm:intel_dp_start_link_train [i915]] Using LINK_RATE_SET value 04

Robert Strube (robstrube) wrote :

Sorry for the spam, last post for now I promise!

Reading this bug report more closely, it does appear different than the bug I am encountering. With *this* bug, one sees a black screen *with* a cursor, my symptoms are different, as the laptop panel is failing display link training, so nothing is displayed, it flickers a couple of times and nothing every appears. *This* bug appears to be Xorg related, but the bug I'm encountering (which is known on bugs.freedesktop.org) is a bug with the i915 kernel module.

For now I've removed the duplicate status of https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1824216 and will add comments there moving forward.

Again apologies for posting so many times, I honestly thought this was the same issue I'm encountering.

fossfreedom (fossfreedom) wrote :

Robert suggest create a new bug report to cover your issue. Dont forget to tag this with disco and iso-testing tags.

Since I created this issue report I am pleased to report that the kernel update in this release candidate iso has resolved this issue.

Timo Aaltonen (tjaalton) on 2019-04-14
Changed in xorg-server (Ubuntu):
status: Fix Committed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.